## org.apache.commons.collections.functors
Class ConstantTransformer

    java.lang.Object
      org.apache.commons.collections.functors.ConstantTransformer

All Implemented Interfaces:
  java.io.Serializable, Transformer

    public class ConstantTransformer

extends java.lang.Object
implements Transformer, java.io.Serializable

Transformer implementation that returns the same constant each time.

No check is made that the object is immutable. In general, only immutable objects should use the constant factory. Mutable objects should use the prototype factory.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Transformer` `NULL_INSTANCE` Returns null each time

Constructor Summary
`ConstantTransformer(java.lang.Object constantToReturn)` Constructor that performs no validation.

Method Summary
`java.lang.Object` `getConstant()` Gets the constant.
`static Transformer` `getInstance(java.lang.Object constantToReturn)` Transformer method that performs validation.
`java.lang.Object` `transform(java.lang.Object input)` Transforms the input by ignoring it and returning the stored constant instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_INSTANCE

    public static final Transformer NULL_INSTANCE

  Returns null each time

Constructor Detail

### ConstantTransformer

    public ConstantTransformer(java.lang.Object constantToReturn)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `constantToReturn` - the constant to return each time

Method Detail

### getInstance

    public static Transformer getInstance(java.lang.Object constantToReturn)

  Transformer method that performs validation.

  Parameters:
    `constantToReturn` - the constant object to return each time in the factory
  Returns:
    the `constant` factory.

### transform

    public java.lang.Object transform(java.lang.Object input)

  Transforms the input by ignoring it and returning the stored constant instead.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object which is ignored
  Returns:
    the stored constant

### getConstant

    public java.lang.Object getConstant()

  Gets the constant.

  Returns:
    the constant
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.